import * as plugins from '../../plugins.js';
import type { IRemoteIngressPerformanceConfig } from '../../../dist_ts_interfaces/data/remoteingress.js';
export declare class RemoteIngressEdgeDoc extends plugins.smartdata.SmartDataDbDoc<RemoteIngressEdgeDoc, RemoteIngressEdgeDoc> {
    id: string;
    name: string;
    secret: string;
    listenPorts: number[];
    listenPortsUdp: number[];
    enabled: boolean;
    autoDerivePorts: boolean;
    performance?: IRemoteIngressPerformanceConfig;
    tags: string[];
    createdAt: number;
    updatedAt: number;
    constructor();
    static findById(id: string): Promise<RemoteIngressEdgeDoc | null>;
    static findAll(): Promise<RemoteIngressEdgeDoc[]>;
    static findEnabled(): Promise<RemoteIngressEdgeDoc[]>;
}
